% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% 
% Ph.D. Course "Cognitive CPSs: from theory to practice"
% Prof. Manuel Roveri, Prof. Cesare Alippi
% Politecnico di Milano, Italy
% March 2016
% 
% ----- "Uncertainty, Information and Learning Mechanisms - Part 1"
% -> Example 3_2_E) Classification - Apparent Error Rate
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

clear;
clc;
close all;
addpath('./functions');

%Hidden node number
n_hidden_nodes = 25;

%Importing iris dataset
[Xt, Yt] = iris_dataset;

%% Network training

% Initializing network for classification
neural_net = patternnet(n_hidden_nodes);

%Training network
neural_net = train(neural_net,Xt,Yt);
Ye = neural_net(Xt);

plotconfusion(Yt,Ye)
