function y = lin_fun(x,eta)
% y = lin_fun(x,eta)
% input: x = independent variable for the function
%        eta = standard deviation of the noise to be inserted in computation
% output: y = evaluation of the function with gaussian noise
 

if nargin == 1
    [m,n] = size(x);
    eta = randn(m,n)*0.001;
end

y = - x .* 0.6 + eta;
